Package org.eclipse.mat.ui.internal.browser

## Class QueryRegistryProvider

- java.lang.Object
- - org.eclipse.mat.ui.internal.browser.QueryBrowserProvider
  - - org.eclipse.mat.ui.internal.browser.QueryRegistryProvider

    public class QueryRegistryProvider
    extends QueryBrowserProvider

### Constructor Summary

Constructors
`QueryRegistryProvider​(IQueryContext context, CategoryDescriptor c, IPolicy policy)`

### Method Summary

All Methods Instance Methods Concrete Methods
`QueryBrowserPopup.Element[]` `getElements()`
`String` `getName()`

### Methods inherited from class org.eclipse.mat.ui.internal.browser.QueryBrowserProvider

`getElementsSorted, unsuitableSubjects`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QueryRegistryProvider

    public QueryRegistryProvider​(IQueryContext context,
                                 CategoryDescriptor c,
                                 IPolicy policy)

### Method Detail

#### getElements

    public QueryBrowserPopup.Element[] getElements()

Specified by:
  `getElements` in class `QueryBrowserProvider`

#### getName

    public String getName()

Specified by:
  `getName` in class `QueryBrowserProvider`